﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TextFiles
{
    /*
     *       _____ _____ _____                _       _
     *      |_   _/  __ \_   _|              (_)     | |
     *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
     *        | | ||      | | / __|/ _ \ / __| |/ _` | |
     *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
     *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
     *                   ___
     *                  |  _|___ ___ ___
     *                  |  _|  _| -_| -_|  LICENSE
     *                  |_| |_| |___|___|
     *
     * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
     *
     * This source code is a part of online courses at IT social
     * network WWW.ICT.SOCIAL
     *
     * Feel free to use it for whatever you want, modify it and share it but
     * don't forget to keep this link in your code.
     *
     * Visit http://www.ict.social/licenses for more information
     */
    class Program
    {
        static void Main(string[] args)
        {
            // writing to the file
            using (StreamWriter sw = new StreamWriter(@"file.txt"))
            {
                sw.WriteLine("The first line");
                sw.WriteLine("This text is on the second line");
                sw.WriteLine("And the third one.");
                sw.Flush();
            }
            Console.WriteLine("The file has been successfully written.");

            // appending a text to the file
            using (StreamWriter sw = new StreamWriter(@"file.txt", true))
            {
                sw.WriteLine("An appended line");
                sw.Flush();
            }
            Console.WriteLine("A new line has been successfully appended into the file.");

            // printing the contents of the file
            Console.WriteLine("Printing file contents:");

            using (StreamReader sr = new StreamReader(@"file.txt"))
            {
                string s;
                while ((s = sr.ReadLine()) != null)
                {
                    Console.WriteLine(s);
                }
            }
            Console.ReadKey();
        }
    }
}
